buildscript {
    repositories {
        mavenCentral()
    }
}

plugins {
    // application
    base
    idea
    java
    `java-library`
    `maven-publish`
    signing
    id("io.spring.dependency-management")
    id("org.jetbrains.kotlin.jvm")
    id("org.jetbrains.kotlin.kapt")
    id("org.jetbrains.kotlin.plugin.spring")
    id("org.springframework.boot")
}
/********************************************************************************/
/*         I  M  P  O  R  T  E  D     D  E  P  E  N  D  E  N  C  I  E  S        */
/********************************************************************************/
/********************************************************************************/
/*                    G  R  A  D  L  E     P  L  U  G  I  N  S                  */
/********************************************************************************/
/********************************************************************************/
/*                    B  U  I  L  D     S  E  T  T  I  N  G  S                  */
/********************************************************************************/
/********************************************************************************/
/*            B  U  I  L  D    C  O  N  F  I  G  U  R  A  T  I  O  N            */
/********************************************************************************/
/********************************************************************************/
/*              M  A  V  E  N     R  E  P  O  S  I  T  O  R  I  E  S            */
/********************************************************************************/
/********************************************************************************/
/*                       D  E  P  E  N  D  E  N  C  I  E  S                     */
/********************************************************************************/
/********************************************************************************/
/*           I  N  T  E  G  R  A  T  I  O  N      T  E  S  T  I  N  G           */
/********************************************************************************/
/********************************************************************************/
/*                       U  N  I  T     T  E  S  T  I  N  G                     */
/********************************************************************************/
/********************************************************************************/
/*                       G  R  A  D  L  E     T  A  S  K  S                     */
/********************************************************************************/
tasks {
   bootJar { enabled = false }
    jar { enabled = false }
}
/********************************************************************************/
/*                 M  A  V  E  N     P  U  B  L  I  S  H  I  N  G               */
/********************************************************************************/
/********************************************************************************/
/*               D  O  C  K  E  R     P  U  B  L  I  S  H  I  N  G              */
/********************************************************************************/
/********************************************************************************/
/*                              H  E  L  P  E  R  S                             */
/********************************************************************************/
/********************************************************************************/
/*                       A  L  L     P  R  O  J  E  C  T  S                     */
/********************************************************************************/
/********************************************************************************/
/*                         S  U  B  P  R  O  J  E  C  T  S                      */
/********************************************************************************/
subprojects {
    group = "com.abc.plugins"
}